Package org.eclipse.emf.cdo.transfer.ui.swt

# Class TransferDetailsComposite

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.emf.cdo.transfer.ui.swt.TransferDetailsComposite

All Implemented Interfaces:
  `EventListener`, `org.eclipse.net4j.util.event.IListener`, `Drawable`

public class TransferDetailsComposite extends Composite implements org.eclipse.net4j.util.event.IListener
A `composite` that lays out `controls` for the details of a single `CDOTransferMapping`.

Since:
  4.2
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TransferDetailsComposite.UnmappedModelsContentProvider`
A reusable `content provider` for the `unmapped models` of a `transfer`.
`static class`
`TransferDetailsComposite.UnmappedModelsLabelProvider`
A reusable `label provider` for the `unmapped models` of a `transfer`.

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`org.eclipse.net4j.util.event.IListener.NotifierAware`

## Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Fields inherited from class org.eclipse.swt.widgets.Widget

`nativeZoom`

## Constructor Summary

Constructors
Constructor
Description
`TransferDetailsComposite(Composite parent, int style, CDOTransfer transfer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`CDOTransferMapping`
`getMapping()`
`Text`
`getRelativePath()`
`Combo`
`getResolution()`
`Text`
`getSourcePath()`
`Text`
`getStatus()`
`Text`
`getTargetPath()`
`CDOTransfer`
`getTransfer()`
`ComboViewer`
`getTransferType()`
`ListViewer`
`getUnmappedModels()`
`protected void`
`initTransferTypes(CDOTransfer transfer)`
`void`
`notifyEvent(org.eclipse.net4j.util.event.IEvent event)`
`protected void`
`notifyMappingEvent(CDOTransfer.MappingEvent event)`
`boolean`
`setFocus()`
`void`
`setMapping(CDOTransferMapping mapping)`
`protected void`
`updateTransformationButtons(Resource resource)`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar, setScrollbarsMode`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getData, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setData, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, addTypedListener, checkWidget, getData, getDisplay, getListeners, getStyle, getTypedListeners, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, removeListener, removeTypedListener, reskin, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Constructor Details

### TransferDetailsComposite

public TransferDetailsComposite(Composite parent, int style, CDOTransfer transfer)

## Method Details

### dispose

public void dispose()

Overrides:
  `dispose` in class `Widget`

### getTransfer

public CDOTransfer getTransfer()

### getMapping

public CDOTransferMapping getMapping()

### setMapping

public void setMapping(CDOTransferMapping mapping)

### getSourcePath

public Text getSourcePath()

### getTargetPath

public Text getTargetPath()

### getTransferType

public ComboViewer getTransferType()

### getStatus

public Text getStatus()

### getRelativePath

public Text getRelativePath()

### getResolution

public Combo getResolution()

### getUnmappedModels

public ListViewer getUnmappedModels()

### setFocus

public boolean setFocus()

Overrides:
  `setFocus` in class `Composite`

### notifyEvent

public void notifyEvent(org.eclipse.net4j.util.event.IEvent event)

Specified by:
  `notifyEvent` in interface `org.eclipse.net4j.util.event.IListener`

### notifyMappingEvent

protected void notifyMappingEvent(CDOTransfer.MappingEvent event)

### initTransferTypes

protected void initTransferTypes(CDOTransfer transfer)

### updateTransformationButtons

protected void updateTransformationButtons(Resource resource)